package mockemail

import (
	"context"
	"fmt"
)

type MockEmail struct {
}

func NewMockEmail() *MockEmail {
	return &MockEmail{}
}

func (m *MockEmail) SendEmailOTP(ctx context.Context, email string, otp string) error {
	fmt.Println("MockEmail: Sending OTP to", email, "with OTP:", otp)
	return nil
}
